Subject: [bug#64356] [PATCH 0/4] Fix GDM and VNC tests

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 30 Jun 2023 23:23:15 -0400

Hi Bruno!

Bruno Victal <[email-masked]> writes:

> It turns out that the issue with the xvnc test was due to using invoke
> instead of system*.
> Along the way, the GDM test was refactored to replace the ugly sleep
> delay with a more adequate awaiting method.
>
> Bruno Victal (4):
>   tests: xvnc: Fix test.
>   marionette: Allow passing custom OCR arguments.
>   tests: gdm: Prefer OCR to delay.
>   tests: xvnc: Group up GDM test.
>
>  gnu/build/marionette.scm | 34 +++++++++++++++++-------
>  gnu/tests/gdm.scm        | 19 ++++++++++----
>  gnu/tests/vnc.scm        | 56 ++++++++++++++++++++--------------------
>  3 files changed, 67 insertions(+), 42 deletions(-)

So the xvnc service is not broken per se?  I thought I had a black
screen on GDM, when using the (xdmcp? #t) to login via the GDM screen.
Maybe just a fluke in the midst of upgrades?  I'll double check, and if
there's indeed no issue, look deeper into this promising series!

-- 
Thanks,
Maxim